Update an add-on record
curl --request PATCH \
--url https://b.anny.co/api/v1/add-ons/{add_on_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "add-ons",
"id": "247",
"attributes": {
"price": 59
}
}
}
'import requests
url = "https://b.anny.co/api/v1/add-ons/{add_on_id}"
payload = { "data": {
"type": "add-ons",
"id": "247",
"attributes": { "price": 59 }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {type: 'add-ons', id: '247', attributes: {price: 59}}})
};
fetch('https://b.anny.co/api/v1/add-ons/{add_on_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "add-ons",
"id": "247",
"attributes": {
"name": "Team Excellence Certificate",
"description": null,
"plain_description": "",
"customer_notice": null,
"lead_time": 0,
"is_third_party": false,
"is_net_price": false,
"currency": "EUR",
"tax_rate": 19,
"price": 59
},
"links": {
"self": "https://b.anny.co/api/v1/add-ons/247"
}
}
}Service Configuration
Update an add-on record
PATCH
/
api
/
v1
/
add-ons
/
{add_on_id}
Update an add-on record
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The add on identifier.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
An optional extra that can be added to a booking (e.g., equipment rental, catering).
Show child attributes
Show child attributes
Antwort
OK
An optional extra that can be added to a booking (e.g., equipment rental, catering).
Show child attributes
Show child attributes
⌘I